import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpMiguWhiteLotNew } from '../models/index';
/**
 * @author auto generate
 * @version 1.3
 * @date 2022-07-28 17:06
 */
interface PpMiguWhiteLotNewCU extends ConditionUtil<PpMiguWhiteLotNewCU> {
    LOT_ID: FieldUtil<PpMiguWhiteLotNewCU>;
    CREATE_TIME: FieldUtil<PpMiguWhiteLotNewCU>;
}
declare class PpMiguWhiteLotNewMU extends TableUtilImpl<PpMiguWhiteLotNewCU, PpMiguWhiteLotNew> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpMiguWhiteLotNewCU;
    static get LOT_ID(): FieldUtil<PpMiguWhiteLotNewCU>;
    static get CREATE_TIME(): FieldUtil<PpMiguWhiteLotNewCU>;
    get LOT_ID(): FieldUtil<PpMiguWhiteLotNewCU>;
    get CREATE_TIME(): FieldUtil<PpMiguWhiteLotNewCU>;
}
export { PpMiguWhiteLotNewMU, PpMiguWhiteLotNewCU };
